## org.eclipse.emf.edit.provider
Interface IEditingDomainItemProvider

All Known Implementing Classes:
  AdapterFactoryItemDelegator, AttributeValueWrapperItemProvider, ChangeDescriptionItemProvider, ComplexTypeConverterItemProvider, DelegatingWrapperItemProvider, EAnnotationItemProvider, EAttributeItemProvider, EClassifierItemProvider, EClassItemProvider, Ecore2EcoreMappingRootItemProvider, EDataTypeItemProvider, EEnumItemProvider, EEnumLiteralItemProvider, EFactoryItemProvider, EGenericTypeItemProvider, EModelElementItemProvider, ENamedElementItemProvider, ENamedElementToXMLInfoMapEntryItemProvider, EObjectItemProvider, EObjectToChangesMapEntryItemProvider, EOperationItemProvider, EPackageItemProvider, EParameterItemProvider, EReferenceItemProvider, EStringToStringMapEntryItemProvider, EStructuralFeatureItemProvider, ETypedElementItemProvider, ETypeParameterItemProvider, FeatureChangeItemProvider, FeatureMapEntryItemProvider, FeatureMapEntryWrapperItemProvider, FunctionNamePairItemProvider, FunctionPairItemProvider, GenAnnotationItemProvider, GenBaseItemProvider, GenClassItemProvider, GenDataTypeItemProvider, GenEnumItemProvider, GenEnumLiteralItemProvider, GenFeatureItemProvider, GenModelItemProvider, GenOperationItemProvider, GenPackageItemProvider, ItemPropertyDescriptor.ItemDelegator, ListChangeItemProvider, MappedObjectItemProvider, MappingHelperItemProvider, MappingItemProvider, MappingRootItemProvider, MappingStrategyItemProvider, ReflectiveItemProvider, ResourceChangeItemProvider, ResourceItemProvider, ResourceSetItemProvider, TreeNodeItemProvider, TypeConverterItemProvider, XMLInfoItemProvider, XMLMapItemProvider

    public interface IEditingDomainItemProvider

This is the interface used by `EditingDomain` to impose a hierarchical relation on the model objects, and to map operations on those objects onto an underlying EMF model `Command`s. See `EditingDomain` for more details about how this is used.

Method Summary
`Command` `createCommand(java.lang.Object object, EditingDomain editingDomain, java.lang.Class<? extends Command> commandClass, CommandParameter commandParameter)` This does the same thing as `EditingDomain.createCommand`, i.e., it creates commands for a domain's model objects.
`java.util.Collection<?>` `getChildren(java.lang.Object object)` This does the same thing as `EditingDomain.getChildren`, i.e., it imposes a hierarchical relation on a domain's model objects.
`java.util.Collection<?>` `getNewChildDescriptors(java.lang.Object object, EditingDomain editingDomain, java.lang.Object sibling)` This does the same thing as `EditingDomain.getNewChildDescriptors`, i.e., it returns a collection of objects describing the children that can be added under an object in the editing domain.
`java.lang.Object` `getParent(java.lang.Object object)` This does the same thing as `EditingDomain.getParent`, i.e., it imposes a hierarchical relation on a domain's model objects.

Method Detail

### getChildren

    java.util.Collection<?> getChildren(java.lang.Object object)

  This does the same thing as `EditingDomain.getChildren`, i.e., it imposes a hierarchical relation on a domain's model objects.

### getParent

    java.lang.Object getParent(java.lang.Object object)

  This does the same thing as `EditingDomain.getParent`, i.e., it imposes a hierarchical relation on a domain's model objects.

### getNewChildDescriptors

    java.util.Collection<?> getNewChildDescriptors(java.lang.Object object,
                                                   EditingDomain editingDomain,
                                                   java.lang.Object sibling)

  This does the same thing as `EditingDomain.getNewChildDescriptors`, i.e., it returns a collection of objects describing the children that can be added under an object in the editing domain.

### createCommand

    Command createCommand(java.lang.Object object,
                          EditingDomain editingDomain,
                          java.lang.Class<? extends Command> commandClass,
                          CommandParameter commandParameter)

  This does the same thing as `EditingDomain.createCommand`, i.e., it creates commands for a domain's model objects.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.